org.apache.fop.afp

## Class AFPTextDataInfo

- java.lang.Object
- - org.apache.fop.afp.AFPTextDataInfo

-     public class AFPTextDataInfo
      extends Object

  Text data information

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AFPTextDataInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Color` | `getColor()` Returns the color
    `String` | `getEncoding()` Returns the text encoding
    `int` | `getFontReference()` Returns the font reference
    `int` | `getInterCharacterAdjustment()` Return the inter character adjustment
    `int` | `getRotation()` Returns the text rotation
    `String` | `getString()` Returns the text string
    `int` | `getVariableSpaceCharacterIncrement()` Return the variable space character increment
    `int` | `getX()` Returns the x coordinate
    `int` | `getY()` Returns the y coordinate
    `void` | `setColor(Color color)` Sets the color
    `void` | `setEncoding(String textEncoding)` Sets the text encoding
    `void` | `setFontReference(int fontReference)` Sets the font reference
    `void` | `setInterCharacterAdjustment(int interCharacterAdjustment)` Sets the inter character adjustment
    `void` | `setRotation(int rotation)` Sets the text orientation
    `void` | `setString(String textString)` Sets the text string
    `void` | `setVariableSpaceCharacterIncrement(int variableSpaceCharacterIncrement)` Sets the variable space character increment
    `void` | `setX(int x)` Sets the X coordinate
    `void` | `setY(int y)` Sets the Y coordinate
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AFPTextDataInfo

          public AFPTextDataInfo()

  - ### Method Detail

    - #### getFontReference

          public int getFontReference()

      Returns the font reference
      Returns:
        the font reference

    - #### setFontReference

          public void setFontReference(int fontReference)

      Sets the font reference
      Parameters:
        `fontReference` - the font reference

    - #### getX

          public int getX()

      Returns the x coordinate
      Returns:
        the x coordinate

    - #### setX

          public void setX(int x)

      Sets the X coordinate
      Parameters:
        `x` - the X coordinate

    - #### getY

          public int getY()

      Returns the y coordinate
      Returns:
        the y coordinate

    - #### setY

          public void setY(int y)

      Sets the Y coordinate
      Parameters:
        `y` - the Y coordinate

    - #### getColor

          public Color getColor()

      Returns the color
      Returns:
        the color

    - #### setColor

          public void setColor(Color color)

      Sets the color
      Parameters:
        `color` - the color

    - #### getVariableSpaceCharacterIncrement

          public int getVariableSpaceCharacterIncrement()

      Return the variable space character increment
      Returns:
        the variable space character increment

    - #### setVariableSpaceCharacterIncrement

          public void setVariableSpaceCharacterIncrement(int variableSpaceCharacterIncrement)

      Sets the variable space character increment
      Parameters:
        `variableSpaceCharacterIncrement` - the variable space character increment

    - #### getInterCharacterAdjustment

          public int getInterCharacterAdjustment()

      Return the inter character adjustment
      Returns:
        the inter character adjustment

    - #### setInterCharacterAdjustment

          public void setInterCharacterAdjustment(int interCharacterAdjustment)

      Sets the inter character adjustment
      Parameters:
        `interCharacterAdjustment` - the inter character adjustment

    - #### setRotation

          public void setRotation(int rotation)

      Sets the text orientation
      Parameters:
        `rotation` - the text rotation

    - #### getRotation

          public int getRotation()

      Returns the text rotation
      Returns:
        the text rotation

    - #### setEncoding

          public void setEncoding(String textEncoding)

      Sets the text encoding
      Parameters:
        `textEncoding` - the text encoding

    - #### getEncoding

          public String getEncoding()

      Returns the text encoding
      Returns:
        the text encoding

    - #### setString

          public void setString(String textString)

      Sets the text string
      Parameters:
        `textString` - the text string

    - #### getString

          public String getString()

      Returns the text string
      Returns:
        the text string

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2025 Apache Software Foundation. All rights reserved.